#Persistent
#SingleInstance force

;Change this to your game's executable file name
ExeName := "cc2.exe"

;Hold down the right mouse button (or an optional second key) and move the mouse to scroll
ScrollButton := "RButton"
ScrollButton2 := "A"

;Lower values make scrolling faster, but values below 20 can make it glitchy. Recommended: 20-60
PollFrequency := 30

;Number of pixels the mouse needs to be moved before scrolling begins. Lower values mean higher sensitivity. Recommended: 5-20 
MinMouseMove := 5

SetKeyDelay, 0, 10
SetTimer, CheckRunning, 5000

Return

CheckRunning:

If WinExist("ahk_exe " ExeName) {
	IsRunning := 1
	SetTimer, ScrollEvent, %PollFrequency%
}

If IsRunning && !WinExist("ahk_exe " ExeName) {
	SetTimer, ScrollEvent, Off
	SetTimer, CheckRunning, Off
	ExitApp
}

Return


ScrollEvent:

MouseGetPos, X, Y
If (OldX <> X || OldY <> Y)
{
	MovedX := ((OldX - X) > 0) ? (OldX - X) : -(OldX - X)
	MovedY := ((OldY - Y) > 0) ? (OldY - Y) : -(OldY - Y)
	
	If(Abs(MovedX) > MinMouseMove || Abs(MovedY) > MinMouseMove) {
		If (OldX > X) && (MovedX > MovedY)
			Direction = West
		Else If (OldX < X) && (MovedX > MovedY)
			Direction = East
		Else If (OldY < Y) && (MovedX < MovedY)
			Direction = South
		Else If (OldY > Y) && (MovedX < MovedY)
			Direction = North
	}
	
}

If GetKeyState(ScrollButton, "P") || GetKeyState(ScrollButton2, "P") {
	Switch Direction {
		Case "West":
			;SendInput, {Left}
			ControlSend,, {Left}, ahk_exe %ExeName%
		Case "East":
			;SendInput, {Right}
			ControlSend,, {Right}, ahk_exe %ExeName%
		Case "South":
			;SendInput, {Down}
			ControlSend,, {Down}, ahk_exe %ExeName%
		Case "North":
			;SendInput, {Up}
			ControlSend,, {Up}, ahk_exe %ExeName%
	}
}
Else {
	Direction := 0
}

OldX := X
OldY := Y

Return